Rocking Transport VTC


WE ROCK THE ROADS

Incompatible ATS & ETS2 version

American Truck Simulator and Euro Truck Simulator 2 were just updated to version 1.44!
We do not support this update yet, but fortunately it is possible to downgrade to 1.43.

For information on downgrading your game, please click here

Information


Tag: RTVTC
Language: German
Created: 05 Oct 2021 18:34 UTC
Supported Games
Euro Truck Simulator 2
American Truck Simulator
Owner: Jonastrucker - GER
Members: 14
Recruitment: Open

Our Events

Maybe the biggest deal ever!

Maybe the biggest deal ever!

29 Dec 15:30 UTC

ETS2 - ProMods

Convoy

ProMods

5 0 1

View more

Latest VTC Posts

There are currently no posts

Rules

Events We Are Attending

4 Jahre NRL.

4 Jahre NRL.

21 May 16:00 UTC

ETS2

Convoy

Event Server

175 12 23

View more

CONTACT US

Want to know more information or have a question?

By Website

Requirements

You can use any Truck you want, but you should have the Canopy Paint Job on it. You should have SpedV and Trucksbook. You should be in our Discord.

Members public